---

type: allele_score

table:
  filename: data.txt.bgz
  format: tabix

  # defined by score_type
  # VCF like variant description
  chrom:
    name: chrom
  pos_begin:
    name: pos
  pos_end:
    name: pos
  reference:
    name: ref
  alternative:
    name: alt

scores:
  - id: AC
    name: AC
    type: int
    desc: "Alternate allele count"
    histogram:
      type: number
      number_of_bins: 100
      # view_range:
      #  min: 0
      #  max: 160000
      y_log_scale: True
  - id: AN
    name: AN
    type: int
    desc: "Total number of alleles"
    histogram:
      type: number
      number_of_bins: 100
      # view_range:
      #  min: 0
      #  max: 160000
      y_log_scale: True
  - id: AF
    name: AF
    type: float
    desc: "Alternate allele frequency"
    histogram:
      type: number
      number_of_bins: 126
      view_range:
        min: 0.0
        max: 1.0
      y_log_scale: True
      x_log_scale: True
      x_min_log: 0.00001

  - id: AF_percent
    name: AFP
    type: float
    desc: "Alternate allele frequency as percent"
    histogram:
      type: number
      number_of_bins: 126
      view_range:
        min: 0.0
        max: 100.0
      y_log_scale: True
      x_log_scale: True
      x_min_log: 0.001


default_annotation:
  - source: AF
    name: gnomad_v4_genome_eas_af
meta: 
  summary: |
    gnomAD v4.1.0 genome variants (East Asian)
    
  description: |
    [gnomAD](https://gnomad.broadinstitute.org/), or the Genome Aggregation Database, is a comprehensive resource of human genetic variation, managed by the Broad Institute of MIT and Harvard. It aggregates data from numerous genomic studies, compiling information on millions of genetic variants from the genomes and exomes of hundreds of thousands of individuals. This extensive database aids genetic research, enhancing our understanding of the genetic basis of diseases and supporting the development of precision medicine by providing insights into the distribution of genetic variations across diverse populations.

    [Karczewski et al, The mutational constraint spectrum quantified from variation in 141,456 humans, Nature 2020](https://www.nature.com/articles/s41586-020-2308-7)

    Downloaded on 6/27/2024
    [https://gnomad.broadinstitute.org/downloads](https://gnomad.broadinstitute.org/downloads)

  labels:
    reference_genome: hg38/genomes/GRCh38-hg38
